/*******************************************************************
 *                                                                 *
 *    Utilities for writing an AVI File                            *
 *                                                                 *
 *******************************************************************/

#define DATASTART 2560 /* where first frame starts */
#define MAXIDX 800000 /* should be sufficient since AVI size is < 2 GB */
#define MAX_LIST_DEPTH 10

typedef struct {
	int fd;
	int num_of_frames;
	int num_of_audio_bytes;

	int idx[MAXIDX];
	int n_idx;

	char list_name[MAX_LIST_DEPTH][4];
	long list_pos [MAX_LIST_DEPTH];
	long list_depth;

} AVI_file;

AVI_file AVI_open_output_file(char * filename);
void AVI_add_audio(AVI_file *af, char *audio_data, int length);
void AVI_add_frame(AVI_file *af, char *jpeg_data, int length);
void AVI_write_header(AVI_file *af, int width, int height, int norm,
					  int audio, int stereo, int size, int rate);
void AVI_finish_list(AVI_file *af, char * name);
void AVI_start_list(AVI_file *af, char * name);





